.sample-inputs-results {
  display: flex;
  width: 100%;
  min-height: calc(100vh - 108px);
  position: relative;

  * {
    ul {
      margin: 0;
      padding: 0;
      list-style-type: none;
    }
  }

  .d-none {
    display: none;
  }

  // CUSTOM INPUT
  ::ng-deep.mat-form-field {
    width: 100%;
    height: 100%;

    .mat-form-field-wrapper {
      margin: 0;
      padding: 0;
      width: 100%;
      height: 100%;

      .mat-form-field-subscript-wrapper {
        display: none;
      }

      .mat-form-field-flex {
        margin: 0;
        padding: 0;
        width: 100%;
        height: 100%;

        .mat-form-field-outline {
          height: 30px;
          color: #c3c6c9;
          top: 0;
        }

        .mat-form-field-infix {
          padding: 0;
          border: 0;

          input.mat-input-element {
            margin: 0;
            line-height: 30px;
            font-size: 12px;
            font-weight: bold;
            color: #000000;
            text-indent: 9px;
          }

          .mat-form-field-label-wrapper {
            display: none;
          }
        }

        .mat-form-field-suffix {
          top: -7px;
          right: 7px;

          span {
            color: #8e8e8e;
          }
        }
      }
    }
  }

  // MAIN
  .main-content {
    width: 100%;
    padding-left: 315px;
    position: relative;

    // LEFT SIDE
    .main-content__leftside {
      width: 285px;
      min-width: 285px;
      position: fixed;
      top: 60px;
      left: 80px;
    }

    // SAMPLE RESULTS
    .sample-results {
      width: 100%;
      padding: 30px 0;
      position: relative;

      // INPUT
      .sample-results__input {
        width: 895px;
        min-height: 965px;
        background: #fff;
        border-radius: 4px;
        border: 1px solid #ebeff2;
        box-shadow: 0px 1px 2px 0px rgba(0, 0, 0, 0.25);
        overflow: hidden;
        position: relative;

        ::ng-deep.top-header {
          display: flex;
          align-items: center;
          height: 52px;
          padding: 0 24px;
          border-bottom: 2px solid #e0e0e0;
          position: relative;

          h1,
          h3 {
            margin: 0;
          }

          h1 {
            font-size: 16px;
            font-weight: bold;
            color: #000;
          }

          h3 {
            font-size: 14px;
            color: #000;
            position: relative;
            left: 10px;
            top: 1px;
          }

          .btn-save {
            width: 138px;
            line-height: 30px;
            color: #fff;
            background: #006ed2;
            border-radius: 4px;
            box-shadow: none;
            position: absolute;
            top: 10px;
            right: 12px;
          }

          .btn-cancel {
            line-height: 30px;
            color: #006ed2;
            box-shadow: none;
            border-radius: 0;
            position: absolute;
            top: 10px;
            right: 160px;

            .mat-button-focus-overlay,
            .mat-button-ripple {
              opacity: 0;
            }
          }
        }

        .bottom-body {
          padding-right: 470px;
          padding-bottom: 35px;
          position: relative;

          .main-title {
            margin: 0;
            font-size: 16px;
            font-weight: bold;
            color: #000;
          }

          // SECTION ONE
          .section-one {
            position: relative;

            .section-one__leftside {
              padding: 30px 24px 0;
              position: relative;

              ::ng-deep.main-table {
                width: 100%;
                margin: 6px 0 0;
                position: relative;

                .li-row {
                  display: flex;
                  align-items: center;
                  justify-content: space-between;
                  width: 100%;
                  height: 30px;
                  margin-bottom: 10px;
                  position: relative;

                  &:last-child {
                    margin-bottom: 0;
                  }

                  span {
                    display: inline-block;
                    font-size: 12px;
                    font-weight: bold;

                    &.name {
                      font-weight: normal;
                      color: #000;
                    }

                    &.value {
                      min-width: 55px;
                      margin-right: 8px;
                      text-align: right;
                    }

                    &.unit {
                      min-width: 45px;
                      color: #8e8e8e;
                    }
                  }

                  .parameter {
                    width: 138px;
                    height: 30px;
                    position: relative;
                  }
                }
              }
            }
          }

          // SECTION TWO
          .section-two {
            display: flex;
            padding: 32px 24px 0;
            position: relative;

            .section-two__leftside {
              position: relative;

              &.rightside {
                margin-left: 36px;

                .content {
                  .li-row {
                    span.name {
                      width: 65px;
                    }
                  }
                }
              }

              .content {
                margin-bottom: 45px;
                position: relative;

                &.last {
                  margin-bottom: 0;
                }

                .main-title {
                  margin-bottom: 10px;
                }

                .li-row {
                  display: flex;
                  align-items: center;
                  margin-bottom: 10px;

                  &:last-child {
                    margin-bottom: 0;
                  }

                  span {
                    display: inline-block;
                    font-size: 12px;
                    font-weight: bold;

                    &.name {
                      width: 25px;
                      color: #000;
                      font-weight: normal;
                      white-space: nowrap;
                    }
                  }

                  .parameter {
                    width: 98px;
                    height: 30px;
                    position: relative;
                  }
                }
              }
            }
          }

          // SECTION THREE
          .section-three {
            width: 470px;
            height: 100%;
            padding-top: 30px;
            background: rgba(248, 248, 248, 0.7);
            position: absolute;
            top: 0;
            right: 0;

            h1 {
              margin: 0;
              margin-bottom: 5px;
              padding: 0 28px 0 35px;
              font-size: 16px;
              font-weight: bold;
              color: #000;
            }

            span {
              font-size: 12px;
              font-weight: bold;
              color: #000;

              &.gray-title {
                color: #717171;
              }
            }

            ::ng-deep.upload-file {
              display: flex;
              align-items: center;
              justify-content: center;
              width: calc(100% - 63px);
              height: 68px;
              border-top: 2px solid #e0e0e0;
              position: absolute;
              bottom: 0;
              left: 30px;

              .btn-upload {
                line-height: 30px;
                color: #006ed2;
                box-shadow: none;
                border-radius: 0;
                font-weight: 500;

                .mat-button-focus-overlay,
                .mat-button-ripple {
                  opacity: 0;
                }
              }
            }

            .main-table {
              width: 100%;
            }

            .main-table__title {
              display: flex;
              align-items: center;
              width: 338px;
              height: 31px;
              border-bottom: 1px solid #d8d8d8;
              position: relative;
              left: 35px;

              span.black-title {
                width: 124px;
                padding-left: 10px;
              }

              span.gray-title {
                flex-grow: 1;
                text-align: center;
              }
            }

            .main-table__subtitle {
              display: flex;
              align-items: center;
              justify-content: space-between;
              width: 338px;
              height: 31px;
              position: relative;
              left: 35px;

              span {
                width: 90px;

                &.black-title {
                  padding-left: 10px;
                }
              }
            }

            ::ng-deep.main-table__content {
              width: 100%;
              height: 713px;
              padding: 0 97px 0 35px;
              position: relative;

              ul {
                width: 100%;
                position: relative;

                li {
                  display: flex;
                  align-items: center;
                  justify-content: space-between;
                  width: 100%;
                  height: 30px;
                  margin-bottom: 10px;
                  position: relative;

                  &:last-child {
                    margin-bottom: 0;
                  }

                  .col {
                    width: 90px;
                    height: 30px;

                    &:first-of-type {
                      .mat-form-field {
                        .mat-form-field-wrapper {
                          .mat-form-field-flex {
                            .mat-form-field-infix {
                              input.mat-input-element {
                                font-weight: bold;
                              }
                            }
                          }
                        }
                      }
                    }

                    .mat-form-field {
                      .mat-form-field-wrapper {
                        .mat-form-field-flex {
                          .mat-form-field-infix {
                            input.mat-input-element {
                              font-weight: normal;
                            }
                          }
                        }
                      }
                    }
                  }

                  .remove-row {
                    display: block;
                    position: absolute;
                    top: 3px;
                    right: -43px;
                    z-index: 10;

                    img {
                      display: block;
                    }
                  }

                  .btn-add {
                    line-height: 30px;
                    color: #006ed2;
                    box-shadow: none;
                    border-radius: 0;
                    position: absolute;
                    top: 0;
                    right: -90px;

                    .mat-button-focus-overlay,
                    .mat-button-ripple {
                      opacity: 0;
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}

.content-loading {
  display: block;
  width: 100%;
  height: calc(100vh - 60px);
  position: absolute;
  top: 0;
  left: 0;
}
